## wxGridCellNumberEditor

The editor for numeric integer data.

Derived from

wxGridCellTextEditor
wxGridCellEditor

See also

wxGridCellEditor, wxGridCellFloatEditor, wxGridCellBoolEditor, wxGridCellTextEditor, wxGridCellChoiceEditor

Members

wxGridCellNumberEditor::wxGridCellNumberEditor
wxGridCellNumberEditor::GetString
wxGridCellNumberEditor::HasRange
wxGridCellNumberEditor::SetParameters

### wxGridCellNumberEditor::wxGridCellNumberEditor

wxGridCellNumberEditor(int min = -1, int max = -1)

Allows to specify the range for acceptable data; if min == max == -1, no range checking is done

### wxGridCellNumberEditor::GetString

wxString GetString() const

String representation of the value.

### wxGridCellNumberEditor::HasRange

bool HasRange() const

If the return value is true, the editor uses a wxSpinCtrl to get user input, otherwise it uses a wxTextCtrl.

### wxGridCellNumberEditor::SetParameters

void SetParameters(const wxString& params)

Parameters string format is "min,max".